# Created by pyp2rpm-1.1.1
%global pypi_name linecache2

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        1%{?dist}
Summary:        Backports of the linecache module

License:        Python
URL:            https://github.com/testing-cabal/linecache2
Source0:        https://pypi.python.org/packages/source/l/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-pbr

%description
A backport of linecache to older supported Pythons.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
# remove tests to avoid https://github.com/testing-cabal/linecache2/issues/2
rm -rf linecache2/tests
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Thu Apr 09 2015 Alan <apevec@gmail.com> - 1.0.0-1
- Initial package.
